
      PROGRAM write_error
      REAL    A(1)
      OPEN(7,FILE='error',FORM='unformatted',RECL=10,ACCESS='direct',
     & CONVERT='big_endian')
      A(1)=157.10000006
      WRITE(7,REC=1) (A(I),I=1,1)
      CLOSE(7)
      OPEN(7,FILE='correct',FORM='unformatted',RECL=10,ACCESS='direct',
     & CONVERT='big_endian')
      DO I=1,1
        WRITE(7,REC=1) A(I)
      ENDDO
      CLOSE(7)
      END
